package com.guadou.cs_router.app

import android.app.Activity


interface IAppComponentServer{

    fun initSMS(): IAppComponentServer

    //Firebase短信服务-发送短信
    fun sendSMSCode(
        activity: Activity, phone: String,
        sendAction: ((isSuccess: Boolean) -> Unit)?,
        verifyAction: ((isSuccess: Boolean) -> Unit)?
    )

    //Firebase短信服务-验证短信
    fun verifySMSCode(activity: Activity, code: String, verifyAction: ((isSuccess: Boolean) -> Unit)?)

}
